From e980a15d9c861eddb061a9aaa8790d822711efd7 Mon Sep 17 00:00:00 2001
From: Fam Zheng <famz@redhat.com>
Date: Wed, 30 Jul 2014 02:13:20 -0500
Subject: [CHANGE 8/9] virtio-scsi: Fix reset callback for virtio-scsi
To: rhvirt-patches@redhat.com,
    jen@redhat.com

RH-Author: Fam Zheng <famz@redhat.com>
Message-id: <1406686401-24931-2-git-send-email-famz@redhat.com>
Patchwork-id: 60312
O-Subject: [RHEL-6.5.z qemu-kvm PATCH v3 1/2] virtio-scsi: Fix reset callback for virtio-scsi
Bugzilla: 1123271
RH-Acked-by: Markus Armbruster <armbru@redhat.com>
RH-Acked-by: Michael S. Tsirkin <mst@redhat.com>
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>

Downstream only.

Add this missing piece in virtio-scsi, which is never noticed since the
beginning. Only the most reliable machines don't need a reset button. It
has been one of the kind, until I added ioeventfd.

Signed-off-by: Fam Zheng <famz@redhat.com>
---
 hw/virtio-pci.c | 1 +
 1 file changed, 1 insertion(+)

Signed-off-by: jen <jen@redhat.com>
---
 hw/virtio-pci.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/hw/virtio-pci.c b/hw/virtio-pci.c
index 91880b1..8645c47 100644
--- a/hw/virtio-pci.c
+++ b/hw/virtio-pci.c
@@ -1060,6 +1060,7 @@ static PCIDeviceInfo virtio_info[] = {
             DEFINE_VIRTIO_SCSI_PROPERTIES(VirtIOPCIProxy, host_features, scsi),
             DEFINE_PROP_END_OF_LIST(),
         },
+        .qdev.reset = virtio_pci_reset,
     }, {
         /* end of list */
     }
-- 
1.9.3

